DragonFly BSD
DragonFly users List (threaded) for 2009-10
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: you must buildworld before you buildkernel. why ?

From: Niklas Rosencrantz <niklasro@xxxxxxxxx>
Date: Tue, 13 Oct 2009 09:11:48 -0400

2009/10/13 Daniel Bond <db@danielbond.org>:
> Hi.
> I read it as you want to setup a git repository. I'm not sure exactly which
> version of git is required for the "--mirror" option, but I know it it
> present in
> 1.6.* version of Git. If someone has more accurate information about the
> version that introduced this feature, please let me know, and I will update
> the mirroring page (
> http://www.dragonflybsd.org/docs/howtos/How_to_mirror_DragonFly_with_Git/ ;).
> It is very important to use a git-version which supports "--mirror", and the
> update-repo script,
> so that old branches are removed, and the repo presented to the client is as
> correct as possible.
> (I tried and failed quite a bit, not having this piece of information).
> Cheers,
> DB.
OK! Thanks, git is selfcontained, yum conflicts so git could renew
itself after little adjustments
Usage: /usr/bin/git-clone [--template=<template_directory>]
[--reference <reference-repo>] [--bare] [-l [-s]] [-q] [-u
<upload-pack>] [--origin <name>] [--depth <n>] [-n] <repo> [<dir>]
Got local git 1.6.4 and remote (above) to yum upgrade, just
small trick (remote) looking old Fedora:
yum update git
Repository base is listed more than once in the configuration
Setting up Update Process
Could not find update match for git
No Packages marked for Update
]# git --version
git version
2.6.9-023stab043.1-smp #1 SMP Mon Mar 5 16:35:19 MSK 2007 i686 i686
i386 GNU/Linux
Filesystem            Size  Used Avail Use% Mounted on
/dev/vzfs              10G  5.1G  5.0G  51% /
seems certain git requires 1.6 for mirror or that mirror option is an
alias backcompatible to 2 prior gears. Can mirror via 2 vzfs
virtualized a.s.a.p. after little script. Proceeding anyway
compatibilizing with pleasure affirming success getting sources last
24 h both from Mr. Bond and default.

> On Oct 13, 2009, at 2:35 PM, Niklas Rosencrantz wrote:
>> git-pull up to date to laptops goes perfectly here, reading how to
>> proceed either read manual more carefully or receive enabling
>> instructions here. 1 script to autorenew will really facilitate.
>> pkgsrc-update just OK here, then insecure incompetence how to get on next
>> step, which are variables and which hard. Still have more details
>> bringing on laptops (testing
>> intermittent success with switches, scanners and phones, got the
>> sources from Mr.Bond, can pkgsrc-update, now somewhat uncertain next
>> step, which minimal version of git is required (got git ready
>> via 2 virtuozzo hosts for hg compliance, awaits newer git required
>> than mentioned here or git mirror option is just an alias)
>> thanks and bye for now

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]